- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::Angle Class Reference

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit. More...

`#include <OgreMath.h>`

List of all members.

## Public Member Functions
| Angle (Real angle)
| operator Radian () const
| operator Degree () const
## Private Attributes
Real | mAngle

## Detailed Description

Wrapper class which identifies a value as the currently default angle type, as defined by Math::setAngleUnit.

Remarks:
  Angle values will be automatically converted between radians and degrees, as appropriate.

Definition at line 130 of file OgreMath.h.

## Constructor & Destructor Documentation

Ogre::Angle::Angle | ( | Real | angle | ) | `[explicit]`

Definition at line 134 of file OgreMath.h.

## Member Function Documentation

Ogre::Angle::operator Radian | ( |  | ) | const

Definition at line 575 of file OgreMath.h.

References Ogre::Math::AngleUnitsToRadians(), and mAngle.

Ogre::Angle::operator Degree | ( |  | ) | const

Definition at line 580 of file OgreMath.h.

References Ogre::Math::AngleUnitsToDegrees(), and mAngle.

## Member Data Documentation

Real Ogre::Angle::mAngle`[private]`

Definition at line 132 of file OgreMath.h.

Referenced by operator Degree(), and operator Radian().

The documentation for this class was generated from the following file:

- OgreMath.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:50:30 2008